Kodi Community Forum

Full Version: Disney+ Add-on
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
Pages: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22
I tested it on the Shield TV with Leia compiled with the latest inpustream addon and all I get is a garbled picture.

Another question: are profiles going to be supported?
(2020-04-09, 14:48)A600 Wrote: [ -> ]I tested it on the Shield TV with Leia compiled with the latest inpustream addon and all I get is a garbled picture.

same here.

Are you planning to implement "my list" and library export? Would really appreciate that! 😊
This gives me hopes that maybe someone can develop a working Hulu addon as well, since it's a related company, hopefully they are related technologies.
Hi. RPi3 (LibreELEC 9.2) I click to watch and click the quality of stream but then it just sits there with the loading circle. If I go in again and click the same video it asks if I wish to resume as if I was watching before when it was a loading icon with no video and no audio. I have forced input stream adaptive install and windvine and rebooted but no help. Any suggestions or where to find logs etc. Thanks
(2020-04-09, 20:44)HuwSy Wrote: [ -> ]Hi. RPi3 (LibreELEC 9.2) I click to watch and click the quality of stream but then it just sits there with the loading circle. If I go in again and click the same video it asks if I wish to resume as if I was watching before when it was a loading icon with no video and no audio. I have forced input stream adaptive install and windvine and rebooted but no help. Any suggestions or where to find logs etc. Thanks

"This add-on requires Inputstream Adaptive 2.4.4 or above.
2.4.4 was just released 09/04/2020. It should automatically update over next few days."

So if you are on LE 9.2, you'll have to wait for an update for inputstream.adaptive...
I was on the daily builds which probably had the right version of IS but as its newer Kodi it wasn't compatible with the addin schema or python version?
For the Shield users, you did download the AARCH64 build?

Kodi 18:
https://jenkins.kodi.tv/job/peak3d/job/i...-2.4.4.zip
Kodi 19:
https://jenkins.kodi.tv/job/peak3d/job/i...-2.5.5.zip

@HuwSy 
If your using Kodi 19, you need version 2.5.5 or greater.
You can manually get it here:
https://jenkins.kodi.tv/blue/organizatio.../artifacts
Oh, your on RPI - you'll need to wait for the LibreELEC build then. Shouldn't be too far away.
(2020-04-09, 22:44)matthuisman Wrote: [ -> ]...
Oh, your on RPI - you'll need to wait for the LibreELEC build then. Shouldn't be too far away.

I'll sit patiently. Thanks
(2020-04-09, 22:44)matthuisman Wrote: [ -> ]For the Shield users, you did download the AARCH64 build?

yes I did
OK, found the issue on Android.

Even after installing v2.4.4 in Kodi Android, Kodi still uses the older built-in version for playback.
So, we need to wait for Kodi to push the updated version of IA and then it should work!
Subscribed, I'm glad to see it released.
@matthuisman
Could it be, that the Addon is having problems with LibreELEC Version Nr. 2.4.4.1?

"ValueError: invalid version number '2.4.4.1'

File "/resources/lib/plugin.py", line 365, in play
if not io.check() or not inputstream.require_version(ver_required)"


Many thanks for all your efforts!
slyguy has just posted an update to his common module to fix that version issue (use Looseversion instead of strict)
You can force update by following below:
https://www.matthuisman.nz/2019/09/how-t...d-ons.html
Epicness.. was waiting for this one.. thanks to all involved our 4 week lockdown may be a bit easier..
Pages: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22